package cn.iocoder.yudao.module.identity.convert.diversionstats;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.identity.controller.admin.diversionstats.vo.*;
import cn.iocoder.yudao.module.identity.dal.dataobject.diversionstats.DiversionStatsDO;

/**
 * 窜货统计 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface DiversionStatsConvert {

    DiversionStatsConvert INSTANCE = Mappers.getMapper(DiversionStatsConvert.class);

    DiversionStatsDO convert(DiversionStatsCreateReqVO bean);

    DiversionStatsDO convert(DiversionStatsUpdateReqVO bean);

    DiversionStatsRespVO convert(DiversionStatsDO bean);

    List<DiversionStatsRespVO> convertList(List<DiversionStatsDO> list);

    PageResult<DiversionStatsRespVO> convertPage(PageResult<DiversionStatsDO> page);

    List<DiversionStatsExcelVO> convertList02(List<DiversionStatsDO> list);

}
